Name:           shen-scheme
Version:        v0.39
Release:        1%{?dist}
Summary:        Shen programming language on Chez scheme

License:        BSD
URL:            http://tizoc.github.io/%{name}
Source0:        https://github.com/tizoc/%{name}/%{name}-%{version}-src.tar.gz

BuildRequires:  ChezScheme
Requires:       ChezScheme
Requires:       uuid
Requires:       libuuid

%description
Shen is a portable functional programming language by Mark Tarver that offers
 pattern matching,
 λ calculus consistency,
 macros,
 optional lazy evaluation,
 static type checking,
 an integrated fully functional Prolog,
 and an inbuilt compiler-compiler.
shen-scheme is a port of the Shen language that runs on top of Sheme implementations.

%prep
%setup -q -n %{name}-%{version}-src

%build
# very annoyingly on RPI3 Rocky 9.4 I got an error :
# /usr/bin/ld: cannot find -luuid
# fixed by creating a symbolic link :
# ln -s libuuid.so.1 /usr/lib64/libuuid.so
make

%install
rm -rf  $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install prefix=/usr

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_prefix}/lib/*

%changelog
* Sat Nov 30 2024 Builder <builder@fractal.zone>
- Initial RPM build of Shen 39 using Chez Scheme 10.0.0

* Sat May 25 2024 Builder <builder@fractal.zone>
- Initial RPM build of Shen 38.3 using Chez Scheme 10.0.0
